Can I use multiple versions of jQuery on the same page?

Can I use multiple versions of jQuery on the same page?

A project I’m working on requires the use of jQuery on customers’ Web pages. Customers will insert a chunk of code that we’ll supply which includes a few

  • Original page loads his "jquery.versionX.js" -- $ and jQuery belong to versionX.
  • You call your "jquery.versionY.js" -- now $ and jQuery belong to versionY, plus _$ and _jQuery belong to versionX.
  • my_jQuery = jQuery.noConflict(true); -- now $ and jQuery belong to versionX, _$ and _jQuery are probably null, and my_jQuery is versionY.